Skip Menu |
 

This queue is for tickets about the Class-C3 CPAN distribution.

Report information
The Basics
Id: 81106
Status: resolved
Priority: 0/
Queue: Class-C3

People
Owner: Nobody in particular
Requestors: GAAS [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Unimportant
Broken in: 0.24
Fixed in: 0.25

Attachments


Subject: Avoid Devel::Hide dependency where it's not used
 This patch just avoids this warning from showing up in our build logs:

  Warning: prerequisite Devel::Hide 0 not found.
Subject: Class-C3-devel-hide.patch
From cfb43a094b944d4951ba0d251c3d5f4a0505185f Mon Sep 17 00:00:00 2001 From: Gisle Aas <gisle@activestate.com> Date: Sun, 11 Nov 2012 03:27:30 -0800 Subject: [PATCH] Devel::Hide only required for old perls It's only used by t/40_no_xs.t test where it is protected by: BEGIN { plan skip_all => "PP tests not applicable for this perl $]" if $] > 5.009_004; plan skip_all => "Devel::Hide required for this test" unless eval { require Devel::Hide }; } --- Makefile.PL | 2 +- 1 files changed, 1 insertions(+), 1 deletions(-) diff --git a/Makefile.PL b/Makefile.PL index 9de5dd2..8102eab 100644 --- a/Makefile.PL +++ b/Makefile.PL @@ -21,7 +21,7 @@ requires 'Class::C3::XS' => '0.13' if $] < 5.009_005 and can_xs(); test_requires 'Devel::Hide' => 0 - if is_smoker(); + if is_smoker() && $] <= 5.009_004; if($Module::Install::AUTHOR) { # compiler detection, goes into META -- 1.7.0.5
Thanks, applied.
This is on CPAN now. Cheers!


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.